## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Currently, even *collecting* the tests requires network access, and even when
# that is enabled (--enable-network option to mock, or working in a git
# checkout from upstream), this hangs and eventually fails with:
#   [Errno 111] Connection refused.
%bcond tests 0

Name:           python-snakemake-storage-plugin-azure
Version:        0.4.4
Release:        %autorelease
Summary:        Snakemake storage plugin for Azure Blob Storage

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-storage-plugin-azure
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-storage-plugin-azure-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -L snakemake_storage_plugin_azure

BuildArch:      noarch

%if %{with tests}
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
%endif
BuildRequires:  snakemake >= 9

%global common_description %{expand:
A Snakemake storage plugin to read and write from Azure Blob Storage.}

%description %{common_description}


%package -n python3-snakemake-storage-plugin-azure
Summary:        %{summary}

%description -n python3-snakemake-storage-plugin-azure %{common_description}


%check -a
%if %{with tests}
%pytest -v -k "${k-}" tests/tests.py
%endif


%files -n python3-snakemake-storage-plugin-azure -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu May 08 2025 Packit <hello@packit.dev> - 0.4.4-1
- Update to 0.4.4 upstream release
- Resolves: rhbz#2354649

* Thu May 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-3
- Remove manual BuildRequires on python3-devel, not needed with declarative
  buildsystem

* Thu May 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.3-2
- F41+: Use the provisional pyproject declarative buildsystem

* Sat Mar 15 2025 Packit <hello@packit.dev> - 0.4.3-1
- Update to 0.4.3 upstream release
- Resolves: rhbz#2352655

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 07 2024 Packit <hello@packit.dev> - 0.4.2-1
- Update to 0.4.2 upstream release
- Resolves: rhbz#2303578

* Tue Aug 06 2024 Packit <hello@packit.dev> - 0.4.1-1
- Update to 0.4.1 upstream release
- Resolves: rhbz#2303011

* Mon Jul 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0-1
- Update to 0.3.0

* Mon Jul 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.2-2
- Update to 0.2.2 upstream release

* Tue Jul 23 2024 Packit <hello@packit.dev> - 0.2.2-1
- Update to 0.2.2 upstream release
- Resolves: rhbz#2298063

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.5-3
- Stop loosening bounds on Azure dependencies

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.1.5-2
- Rebuilt for Python 3.13

* Thu Mar 07 2024 Packit <hello@packit.dev> - 0.1.5-1
- [packit] 0.1.5 upstream release
- Resolves rhbz#2268375

* Wed Jan 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-1
- Initial package (close RHBZ#2259238)
## END: Generated by rpmautospec
